VERSION 5.00
Object = "{9DC38830-6838-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGEDISPLAY.DLL"
Object = "{D22FEEE0-7890-11D2-89E0-0040051D6CCA}#1.0#0"; "APXIMAGE.DLL"
Object = "{C6C5F614-8E0B-11D2-8C7F-00609719B3F9}#1.0#0"; "APXIMGUTILITYTK.DLL"
Object = "{C4D1700E-889D-11D2-8C7A-00609719B3F9}#1.0#0"; "APXANALYSISTK.DLL"
Object = "{0C08DE7E-8BBB-11D2-8C7B-00609719B3F9}#1.0#0"; "APXSEGMENTATIONTK.DLL"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4710
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5625
   LinkTopic       =   "Form1"
   ScaleHeight     =   4710
   ScaleWidth      =   5625
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "Compute Area"
      Height          =   495
      Left            =   4320
      TabIndex        =   3
      Top             =   3000
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Text            =   "Mark the object by clicking points around it. Double click when done."
      Top             =   4200
      Width           =   5295
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Exit"
      Height          =   495
      Left            =   4320
      TabIndex        =   1
      Top             =   3600
      Width           =   1215
   End
   Begin ApxSegmentationTKCtl.ApxSegmentation ApxSegmentation1 
      Left            =   1800
      OleObjectBlob   =   "Form1.frx":0000
      Top             =   3480
   End
   Begin ApxImageLibCtl.ApxImage ApxImage3 
      Left            =   1800
      OleObjectBlob   =   "Form1.frx":0024
      Top             =   3480
   End
   Begin ApxAnalysisTKCtl.ApxAnalysis ApxAnalysis1 
      Left            =   600
      OleObjectBlob   =   "Form1.frx":0048
      Top             =   1440
   End
   Begin ApxImageDisplayLib.ApxImageDisplay ApxImageDisplay2 
      Height          =   1935
      Left            =   3480
      OleObjectBlob   =   "Form1.frx":006C
      TabIndex        =   4
      Top             =   0
      Width           =   1935
   End
   Begin ApxImageLibCtl.ApxImage ApxImage2 
      Left            =   1680
      OleObjectBlob   =   "Form1.frx":00A6
      Top             =   3600
   End
   Begin ApxImageLibCtl.ApxImage ApxImage1 
      Left            =   1560
      OleObjectBlob   =   "Form1.frx":00CA
      Top             =   3480
   End
   Begin ApxImgUtilityTKCtl.ApxImgUtility ApxImgUtility1 
      Left            =   1920
      OleObjectBlob   =   "Form1.frx":00EE
      Top             =   3480
   End
   Begin ApxImageDisplayLib.ApxImageDisplay ApxImageDisplay1 
      Height          =   3375
      Left            =   0
      OleObjectBlob   =   "Form1.frx":0112
      TabIndex        =   0
      Top             =   0
      Width           =   3375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim OS As ApxOverlaySet
'
Public X0, Y0, X1, Y1, X2, Y2 As Double
Public Iter As Integer
Private Sub ApxImageDisplay1_MouseDown(ByVal button As Integer, ByVal shift As Integer, ByVal X As Single, ByVal Y As Single)
'
 Dim ScreenC As New ApxDCoordinates
 Dim ImageC As New ApxDCoordinates
'
' Get screen coordinates
'
 ScreenC.X = X
 ScreenC.Y = Y
 ApxImageDisplay1.MapScreenPtToImagePt ScreenC, ImageC
'
 If Iter = 0 Then
    Form1.MousePointer = vbCrosshair
    Set OS = New ApxOverlaySet
    ApxImageDisplay1.AddOverlaySet OS
'
' Save coordinates in X0, Y0 (1st extremity)
'
    X0 = ImageC.X
    Y0 = ImageC.Y
    X2 = X0
    Y2 = Y0
 Else
'
' Save coordinates in X1, Y1 (2nd extremity)
'
   X1 = X2
   Y1 = Y2
   X2 = ImageC.X
   Y2 = ImageC.Y
'
' Draw the line
'
   OS.AddLine X1, Y1, X2, Y2
   ApxImageDisplay1.Redraw
 End If
 Iter = Iter + 1
'
End Sub
Private Sub Command1_Click()
  End
End Sub
Private Sub Command2_Click()
'
  OS.AddLine X2, Y2, X0, Y0
'
  Dim PointArray() As Integer
  ReDim PointArray(0 To OS.ObjectCount - 1, 0 To 1) As Integer
  Dim I As Integer
'
  For I = 0 To OS.ObjectCount - 1
    PointArray(I, 0) = OS.OverlayObject(I).X1
    PointArray(I, 1) = OS.OverlayObject(I).Y1
  Next I
'
  ApxImageDisplay1.Redraw
  Form1.MousePointer = vbArrow
'
  Dim OSPoly As New ApxOverlaySet
  OSPoly.AddPolygon PointArray
'
  ApxImage1.ROI = OSPoly
  ApxImgUtility1.ImgSubCopy ApxImage1.Object, ApxImage2.Object
'
  Dim Thresh As New ApxThreshold
  Thresh.Low = 1
  Thresh.High = 255
  ApxSegmentation1.ImgThreshold Me.ApxImage2.Object, Me.ApxImage3.Object, Thresh
  MsgBox "After Threshold"
'
  ApxImageDisplay2.Content = Me.ApxImage3.Object
  ApxImageDisplay2.Redraw
  MsgBox "After Redraw"
'
  Dim GMS As New ApxGlobalMeasureSet
  ApxAnalysis1.ImgArea Me.ApxImage3.Object, GMS
  MsgBox "After Area"
'
  Text1.Text = "Area = " & GMS.Value(0, 0, 0)
  OS.Clear
  Iter = 0
End Sub
Private Sub Form_Load()
  ApxImage1.Read "Ceramic.tif"
  ApxImageDisplay1.Content = Me.ApxImage1
  ApxImageDisplay1.ZoomFactor = 1.032
  Iter = 0
'
End Sub
